<?php

declare(strict_types=1);

namespace mirzaev\calculator\models;

use pdo;
use exception;

/**
 * Модель настроек
 *
 * @package mirzaev\calculator\models
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class settings_model extends core
{
    /**
     * Прочитать
     *
     * @param string $name Название параметра
     * @param array &$errors Журнал ошибок
     *
     * @return array Аккаунт, если найден
     */
    public static function read(string $name, array &$errors = []): int|float|string|array|null
    {
        try {
            // Инициализация запроса
            $request = static::$db->prepare("SELECT `$name` FROM `settings` WHERE `id` = 1 ORDER BY `id` DESC LIMIT 1");

            // Отправка запроса
            $request->execute();

            // Генерация ответа
            return $request->fetchColumn();
        } catch (exception $e) {
            // Запись в журнал ошибок
            $errors[] = $e->getMessage();
        }

        return null;
    }
}
